#include <bits/stdc++.h>
using namespace std;

void psort(double A[], double P[], long long n)
{
    pair<double, double> pairt[n];
    for (long long i = 0; i < n; i++)
    {
        pairt[i].first = P[i];
        pairt[i].second = A[i];
    }
    sort(pairt, pairt + n);
    for (long long i = 0; i < n; i++)
    {
        P[i] = pairt[i].first;
        A[i] = pairt[i].second;
    }
}
int main()
{
    long long n; cin >> n;
    double A[n];
    double P[n], zbir=0, mx=0, zbir1=0, porez=0, rez=0;

    for(long long i = 0; i < n; i++)
        cin >> A[i] >> P[i];

    psort(A, P, n);
  
    zbir = A[0]*P[0]/100;
    porez = P[0];
    for(long long i = 1; i < n; i++){

        rez = zbir + A[i]*porez/100;
        zbir1 = A[i]*P[i]/100;
        if(zbir1>rez){
            zbir = zbir1;
            porez = P[i];}
        else
            zbir= rez;

       }
    printf("%0.4f", rez);

    return 0;
}